Name: vyqchat
Version: 0.2.2
Release: alt1

Summary: VyQChat is a real-time, text-based, serverless chat program dedicated to LANs
License: GPL
Group: Networking/Chat
Url: http://linux.bydg.org/~yogin/vyqchat
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name.menu
Source2: %name.xpm

# Automatically added by buildreq on Mon Sep 15 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc3.2-c++ libGLwrapper libaudio libexpat libjpeg
BuildRequires: liblcms libmng libqt3-devel libstdc++3.2-devel

%description
VyQChat is a real-time, text-based, serverless chat program dedicated to
LANs, that runs on Linux using Qt/X11 library. It is almost 100%
compatible with Vypress Chat(TM) for Windows. It allows you to chat with
friends on public or private channels, send and recieve messages etc.
The GUI is meant to be user-friendly and lets you to do most things with
mouse. There is also optional sound support.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog NEWS README THANKS TODO FAQ README-KEYS
%_bindir/%name
%_datadir/%name
%_datadir/pixmaps/%name.xpm
%_menudir/%name

%changelog
* Mon Nov 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2.2-alt1
- 0.2.2
- ability to show/hide toolbar and users list added (new menu option: "View")
- tabs have now different icons to indicate activity on channels
- fixed bug with "#" not appended to channels list in user info
- minor code cleanups in settings handling code
- updated bnv_have_qt configure macro (v1.3)

* Wed Nov 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2.1-alt1
- 0.2.1
- improved protocol compatibility
- "Chat" button in received message window
- new action, "Say nick:" in user list context menu
- support for Mass Messages
- icons for "Message" and "Mass Message" actions

* Sun Oct 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.1.2-alt1
- 0.1.2
- fixed bug that caused crash when changing the nick
- fixed bug with wrong nick in message ack
- support for character encodings other than ISO-8859-1
- new, better settings dialog; sounds can be set now
- added an option to use external command for playing sounds

* Mon Oct 6 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.1.1-alt1
- First version of RPM package

